// Log to confirm the background script is loaded
console.log("Background script loaded.");

browser.runtime.onMessage.addListener((message, sender, sendResponse) => {
  console.log("Message received:", message);

  if (message.value) {
    // Query the active tab in the current window
    browser.tabs.query({ active: true, currentWindow: true }).then((tabs) => {
      if (tabs.length > 0) {
        // Send the message to the content script of the active tab
        browser.tabs.sendMessage(tabs[0].id, { value: message.value }).then(() => {
          console.log("Message sent to content script.");
        }).catch((error) => {
          console.error("Error sending message to content script:", error);
        });
      } else {
        console.error("No active tab found.");
      }
    }).catch((error) => {
      console.error("Error querying active tab:", error);
    });
  }

  // Optional: Use sendResponse to send a response back to the sender if needed
  sendResponse({ status: "Message processed" });
  
  // Return true to indicate you wish to send a response asynchronously
  return true;
});
